## net.i2p.data
Class SessionTag

    java.lang.Object
      net.i2p.data.ByteArray
          net.i2p.data.SessionTag

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class SessionTag
extends ByteArray

See Also:
  Serialized Form

Field Summary
`static int` `BYTE_LENGTH`

Constructor Summary
`SessionTag()`
`SessionTag(boolean create)`
`SessionTag(byte[] val)`

Method Summary
`void` `readBytes(java.io.InputStream in)`
`void` `setData(byte[] val)`
`void` `writeBytes(java.io.OutputStream out)`

Methods inherited from class net.i2p.data.ByteArray
`compareTo, equals, getData, getOffset, getValid, hashCode, setOffset, setValid, toBase64, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BYTE_LENGTH

    public static final int BYTE_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### SessionTag

    public SessionTag()

### SessionTag

    public SessionTag(boolean create)

### SessionTag

    public SessionTag(byte[] val)

Method Detail

### setData

    public void setData(byte[] val)
                 throws java.lang.IllegalArgumentException

  Overrides:
    `setData` in class `ByteArray`
  Throws:
    `java.lang.IllegalArgumentException`

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Throws:
    `DataFormatException`
    `java.io.IOException`

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Throws:
    `DataFormatException`
    `java.io.IOException`